The SAP Portal is a product that - by its nature - is accessed by a browser. The SAP Portal supports the use case of an external portal so it can be accessed by several browser types. And the market is full of browsers, to just name a few:

  • Internet Explorer
  • Firefox
  • Opera
  • Chrome

And every browser is available in several versions and flavors (desktop / mobile). The most common browers used by companies are Internet Explorer and Firefox. As Firefix (FF) 3.6 is out since several months and soon will get replaced by Firefox 4 I wanted to update the portal's SPS to get support for the latest version of Firefox. Why Firefox? Firefox is a widely used browser that is adopted by many  companies and that adheres to web standards (W3C) and (many) end-user  prefer it over the Internet Explorer. So I planned to do an upgrade to a newer SPS of the portal to at least EHP1 SP8 (https://service.sap.com/sp-stacks) to get support for FF 3.6.

Reading the Open Source at SAP in 2010 I thought this should not be a problem. Until I read the PAM: no FF 3.6 support. It looks like this isn't even on the roadmap for NetWeaver 7.0X.

Release history of Firefox:

  • Firefox 3.5 was released on June 30, 2009
  • Firefox 3.6 was released on January 21, 2010. That's almost one year from now.

Source: Wikipedia

SAP Portal added support of Firefox 3.5 in January 2010 (almost 6 month after the release of FF 3.5). More than one year after the release of Firefox 3.6 there is no support for this version available.

Without the support for Firefox 3.6 in the latest SPS I'll have to wait for the next SPS that hopefully will include support for a recent Firefox version. The problem with the missing Firefox support is:

  • End-users will have to use FF 3.5 and when the (companys) browser gets updated to FF 3.6 you'll loose support
  • When Mozilla releases Firefox 4.0 they will shortly after drop support for FF 3.5, and because SAP won't support a product that the vendor is not supporting, the support for FF 3.5 by SAP will also stop.

It looks like Mozilla wants to maintain FF 3.5 at least to February 8, but End of Life for FF 3.5 was already announced and planned for August 2010. Short: luckily for Firefox users, Mozilla had to delay FF 4. If not, there wouldn't be support for Firefox in the SAP Portal. As a company that wants to use Firefox with SAP Portal, you are forced to run an old and no longer recommended version of Firefox ("All users are strongly encouraged to upgrade to Firefox 3.6")

This is leaving me with one question: Why is SAP not going to support FF 3.6?

There is hope: In 7.3, Firefox 3.6 will be supported. As 7.3 is in ramp-up it isn't available to all customers. This typically needs around 6 months after the product entered ramp-up.

  • Where the developers focused on the NetWeaver 7.3 release with no time to make the current portal Firefox 3.6 compliant?
  • Is Firefox not considered as a browser that customers are using?
  • How does this fit into the Open Source@SAP announcements? 
  • How can you run an external facing portal with SAP Portal when the portal isn't supporting the most used browsers like Firefox and Chrome?

The support of Firefox from SAP leaves you with more questions than answers. In the PAM for 7.3 there is only FF 3.6 mentioned. Will this be downported to older releases as well? What about FF 4? When 7.3 will leave ramp-up and FF 4 is already available, how long will it take to gain support for FF 4? Will this be included in the final version of 7.3? Or do customers need to apply shortly after a new SPS to have FF 4 support?

What is on my browser support whishlist:
- Google Chrome
- Firefox 4
- WebKit
- Opera
- Mobile Browsers

Actions

Filter Blog

By date:
By tag: